Source: haskell-text-show
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Clint Adams <clint@debian.org>,
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends:
 cdbs,
 debhelper (>= 10),
 ghc (>= 8.4.3),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-base-compat-batteries-dev (>= 0.11),
 libghc-base-compat-batteries-dev (<< 0.12),
 libghc-base-compat-batteries-prof,
 libghc-bifunctors-dev (>= 5.1),
 libghc-bifunctors-dev (<< 6),
 libghc-bifunctors-prof,
 libghc-generic-deriving-dev (>= 1.11),
 libghc-generic-deriving-dev (<< 2),
 libghc-generic-deriving-dev (>= 1.11),
 libghc-generic-deriving-prof,
 libghc-th-abstraction-dev (>= 0.3),
 libghc-th-abstraction-dev (<< 0.4),
 libghc-th-abstraction-prof,
 libghc-th-lift-dev (>= 0.7.6),
 libghc-th-lift-dev (<< 1),
 libghc-th-lift-prof,
 libghc-transformers-compat-dev (>= 0.5),
 libghc-transformers-compat-dev (<< 1),
 libghc-transformers-compat-prof,
 libghc-quickcheck2-dev (>= 2.12),
 libghc-quickcheck2-dev (<< 2.14),
 libghc-quickcheck2-prof,
 libghc-base-orphans-dev (>= 0.8.2),
 libghc-base-orphans-dev (<< 0.9),
 libghc-base-orphans-prof,
 libghc-deriving-compat-dev (>= 0.5.6),
 libghc-deriving-compat-dev (<< 1),
 libghc-hspec-dev (>= 2),
 libghc-hspec-dev (<< 3),
 libghc-quickcheck-instances-dev (>= 0.3.18),
 libghc-quickcheck-instances-dev (<< 0.4),
 libghc-quickcheck-instances-prof,
Build-Depends-Indep: ghc-doc,
 libghc-base-compat-batteries-doc,
 libghc-bifunctors-doc,
 libghc-generic-deriving-doc,
 libghc-th-abstraction-doc,
 libghc-th-lift-doc,
 libghc-transformers-compat-doc,
Standards-Version: 4.5.0
Homepage: https://github.com/RyanGlScott/text-show
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-text-show
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-text-show]
X-Description: efficient conversion of values into Text
 A replacement for the Show typeclass intended for use with Text
 instead of Strings, in the spirit of bytestring-show.

Package: libghc-text-show-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 ${haskell:Conflicts},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-text-show-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 ${haskell:Conflicts},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-text-show-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 ${haskell:Conflicts},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}
